Bug 4303 - [UPDATE REQUEST] drakxtools-14.47-18
: [UPDATE REQUEST] drakxtools-14.47-18
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-08 21:14 MSD by Konstantin Vlasov
Modified: 2014-08-20 14:03 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
denis.silakov: published+


Attachments
dracut error (29.40 KB, image/png)
2014-08-14 01:37 MSD, Alexander Petryakov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2014-08-08 21:14:52 MSD
Various fixes in installer/diskdrake.
Comment 1 Konstantin Vlasov 2014-08-08 21:17:31 MSD
https://abf.rosalinux.ru/build_lists/2101871
https://abf.rosalinux.ru/build_lists/2101872

Advisory:
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Add Partition dialog now contains the Cancel button also in installer, not only in diskdrake.
Comment 2 Konstantin Vlasov 2014-08-08 22:51:19 MSD
Please, disregard the previous build, I found a regression in it.
Here is the fixed version 14.47-14:

https://abf.rosalinux.ru/build_lists/2101896
https://abf.rosalinux.ru/build_lists/2101897

Advisory:
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Add Partition dialog now contains the Cancel button also in installer, not only in diskdrake.
7. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).

Please note, that still not all problems from bug #4192 are fixed (for instance, "forgetting" of partition types when adding an encrypted partition to LVM remains). If you find such problems (not regressions), please, report them separately.
Comment 3 Alexander Burmashev 2014-08-09 00:03:29 MSD
Here is the iso image with this drakxtools +
draklive-install from
http://bugs.rosalinux.ru/show_bug.cgi?id=4193
https://abf.rosalinux.ru/platforms/rosa2012.1/products/78/product_build_lists/5553
Comment 4 Konstantin Vlasov 2014-08-11 16:58:40 MSD
And one more update: the Cancel button was added also to all the remaining secondary dialogs in partitioning in the installer.

https://abf.rosalinux.ru/build_lists/2105205
https://abf.rosalinux.ru/build_lists/2105206

Advisory:
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Secondary partitioning dialogs (Create, Type, Label, etc.) now contain the Cancel button also in installer, not only in diskdrake.
7. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).
Comment 5 Konstantin Vlasov 2014-08-11 21:25:29 MSD
The updated iso:
https://abf.rosalinux.ru/platforms/rosa2012.1/products/78/product_build_lists/5608
Comment 6 Alexander Petryakov 2014-08-14 01:37:10 MSD
Created attachment 3129 [details]
dracut error

i have tried to install Fresh 5608, but got dracut error, same error that in http://bugs.rosalinux.ru/show_bug.cgi?id=4216.
I have installed Fresh on one root partition with ext4, without swap.
Comment 7 Alexander Burmashev 2014-08-14 08:50:12 MSD
Same as in 4216 but without raid or lvm this time ?
Comment 8 Alexander Petryakov 2014-08-14 09:32:32 MSD
Yes, without raid.
live-rw - does not exist
Comment 9 Konstantin Vlasov 2014-08-15 00:34:27 MSD
Some more fixes.

https://abf.rosalinux.ru/build_lists/2113295
https://abf.rosalinux.ru/build_lists/2113296

Advisory:
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Secondary partitioning dialogs (Create, Type, Label, etc.) now contain the Cancel button also in installer, not only in diskdrake.
7. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).
8. Changing partition type did not change its description and set of action buttons (e.g. when changing from usual FS to LVM).
9. Creating encrypted LVM or RAID partition in expert mode asked whether to check for bad blocks, but it did not affect anything (no formatting is performed).
10. Creating encrypted RAID partition displayed an error "failed to format".
11. Fixed wrong message encoding in drakbug.

The iso image is not ready yet. But since the first boot stage is unaffected by the changes, in the meanwhile, you can test the installer as follows:
1) Boot from some recent working image until the first dialog appears (language selection).
2) Switch to terminal (Ctrl+Alt+F2), login as root.
3) Add the containers and install updated packages.
4) Exit the terminal session.
5) Return to the graphical session (Ctrl+Alt+F1) and continue installation.
Or, alternatively: Boot into Live mode, install the updated packages, and then run draklive-install, or diskdrake, or whatever else is being tested.
Comment 10 Konstantin Vlasov 2014-08-15 22:26:53 MSD
https://abf.rosalinux.ru/build_lists/2113819
https://abf.rosalinux.ru/build_lists/2113820

Advisory:
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Secondary partitioning dialogs (Create, Type, Label, etc.) now contain the Cancel button also in installer, not only in diskdrake.
7. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).
8. Changing partition type did not change its description and set of action buttons (e.g. when changing from usual FS to LVM).
9. Creating encrypted LVM or RAID partition in expert mode asked whether to check for bad blocks, but it did not affect anything (no formatting is performed).
10. Creating encrypted RAID partition displayed an error "failed to format".
11. Fixed wrong message encoding in drakbug.

ISO image with all the latest changes in grub2, drakxtools, draklive-install:
https://abf.rosalinux.ru/platforms/rosa2012.1/products/78/product_build_lists/5710
Comment 11 Alexander Petryakov 2014-08-20 12:56:08 MSD
drakxtools-14.47-18
https://abf.rosalinux.ru/build_lists/2113819
https://abf.rosalinux.ru/build_lists/2113820
************** Advisory **************
1. Non-latin letters in partition labels were displayed as garbage.
2. Minor fix in Russian translation.
3. Creating an encrypted partition on LVM corrupted the dialog contents (reported in #4192).
4. Activated encrypted partitions on LVM were displayed as inactive, and returned errors on any action.
5. Creating encrypted partitions on encrypted LVMs is now forbidden (it makes no sense, and hard to support with the current codebase).
6. Secondary partitioning dialogs (Create, Type, Label, etc.) now contain the Cancel button also in installer, not only in diskdrake.
7. Forcing to write partition table when adding partition to RAID (required for mdadm to see partitions).
8. Changing partition type did not change its description and set of action buttons (e.g. when changing from usual FS to LVM).
9. Creating encrypted LVM or RAID partition in expert mode asked whether to check for bad blocks, but it did not affect anything (no formatting is performed).
10. Creating encrypted RAID partition displayed an error "failed to format".
11. Fixed wrong message encoding in drakbug.
**************************************
QA Verified